Subject: Re: What's BLOOMIN' in your part of the land?

From: [email-masked] (The8thCyn)
Date: 28 Mar 1995 22:55:37 -0500

South Florida (Zone 9/10) I've got blue potato vine, rieger begonias,
impatiens, thunbergia King's Mantle, Salvia (blue, skull cap, too many to
mention) variegated double impatiens "blackberry ice" (first time, they're
great!!)  cerissa, heavenly scented confederate jasmine, browallia,
snapdragons, pansies, calla lilies, cat's whiskers, golden globe, golden
dewdrop, geraniums, alyssum, petunias, stock, daisies, verbena, NZ tea
tree, pandora vine, Carolina jessamine, lots of roses. 

My favorite time of year!   

I'm very excited that my biennial butterfly pea vine is coming up...  six
inches high, I'm sending it up the avocado tree (that bears no fruit
anyway, my 35 foot failure)

C. D. Emerick - West Palm Beach, FL